<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/CapabilityAgents/Notifications/src/SQLiteNotificationsStorage.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_7cf910bd1d7603f12ef47ff650cec893.html">CapabilityAgents</a></li><li class="navelem"><a class="el" href="dir_51ceba3e0236022a3ce16bfbc638804e.html">Notifications</a></li><li class="navelem"><a class="el" href="dir_3cb7a24e7d88f8d7e416c9228ad06d12.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">SQLiteNotificationsStorage.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;<a class="el" href="_s_q_lite_utils_8h_source.html">SQLiteStorage/SQLiteUtils.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_s_q_lite_statement_8h_source.html">SQLiteStorage/SQLiteStatement.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_file_utils_8h_source.html">AVSCommon/Utils/File/FileUtils.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_logger_8h_source.html">AVSCommon/Utils/Logger/Logger.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_s_q_lite_notifications_storage_8h_source.html">Notifications/SQLiteNotificationsStorage.h</a>&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for SQLiteNotificationsStorage.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="_s_q_lite_notifications_storage_8cpp__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_capability_agents_2_notifications_2src_2_s_q_lite_notifications_storage_8cpp" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_capability_agents_2_notifications_2src_2_s_q_lite_notifications_storage_8cpp" id="_2workplace_2avs-device-sdk_2_capability_agents_2_notifications_2src_2_s_q_lite_notifications_storage_8cpp">
<area shape="rect" id="node2" href="_s_q_lite_utils_8h.html" title="SQLiteStorage/SQLiteUtils.h" alt="" coords="246,125,437,151"/>
<area shape="rect" id="node8" href="_s_q_lite_statement_8h.html" title="SQLiteStorage/SQLiteStatement.h" alt="" coords="24,299,249,324"/>
<area shape="rect" id="node9" href="_file_utils_8h.html" title="AVSCommon/Utils/File\l/FileUtils.h" alt="" coords="461,119,617,157"/>
<area shape="rect" id="node10" href="_logger_8h.html" title="AVSCommon/Utils/Logger\l/Logger.h" alt="" coords="1592,119,1768,157"/>
<area shape="rect" id="node27" href="_s_q_lite_notifications_storage_8h.html" title="Notifications/SQLiteNotifications\lStorage.h" alt="" coords="700,119,911,157"/>
<area shape="rect" id="node5" href="_s_q_lite_database_8h.html" title="SQLiteStorage/SQLiteDatabase.h" alt="" coords="229,212,451,237"/>
<area shape="rect" id="node15" href="_configuration_node_8h.html" title="AVSCommon/Utils/Configuration\l/ConfigurationNode.h" alt="" coords="1153,205,1367,244"/>
<area shape="rect" id="node19" href="_level_8h.html" title="AVSCommon/Utils/Logger\l/Level.h" alt="" coords="1728,292,1904,331"/>
<area shape="rect" id="node20" href="_log_entry_8h.html" title="AVSCommon/Utils/Logger\l/LogEntry.h" alt="" coords="1989,205,2165,244"/>
<area shape="rect" id="node25" href="_log_level_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/LogLevelObserverInterface.h" alt="" coords="1718,205,1915,244"/>
<area shape="rect" id="node26" href="_sink_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/SinkObserverInterface.h" alt="" coords="1603,379,1779,417"/>
<area shape="rect" id="node21" href="_log_entry_stream_8h.html" title="AVSCommon/Utils/Logger\l/LogEntryStream.h" alt="" coords="1979,292,2155,331"/>
<area shape="rect" id="node23" href="_log_entry_buffer_8h.html" title="AVSCommon/Utils/Logger\l/LogEntryBuffer.h" alt="" coords="1803,379,1979,417"/>
<area shape="rect" id="node28" href="_notifications_storage_interface_8h.html" title="Notifications/Notifications\lStorageInterface.h" alt="" coords="720,205,891,244"/>
<area shape="rect" id="node29" href="_a_v_s_common_2_a_v_s_2include_2_a_v_s_common_2_a_v_s_2_indicator_state_8h.html" title="AVSCommon/AVS/IndicatorState.h" alt="" coords="749,299,977,324"/>
<area shape="rect" id="node30" href="_notification_indicator_8h.html" title="NotificationIndicator.h" alt="" coords="576,299,725,324"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1capability_agents"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents.html">alexaClientSDK::capabilityAgents</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html">alexaClientSDK::capabilityAgents::notifications</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ad8bc9ca8e55a0ebf538e46e28bf26262"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_s_q_lite_notifications_storage_8cpp.html#ad8bc9ca8e55a0ebf538e46e28bf26262">LX</a>(event)&#160;&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">alexaClientSDK::avsCommon::utils::logger::LogEntry</a>(<a class="el" href="_u_i_manager_8cpp.html#ada5473a95becdcf63a8f83e7f05fefe7">TAG</a>, event)</td></tr>
<tr class="separator:ad8bc9ca8e55a0ebf538e46e28bf26262"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ad337e4dacdf4b09d3999decb25a7a92f"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#ad337e4dacdf4b09d3999decb25a7a92f">alexaClientSDK::capabilityAgents::notifications::TAG</a> (&quot;SQLiteNotificationsStorage&quot;)</td></tr>
<tr class="memdesc:ad337e4dacdf4b09d3999decb25a7a92f"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify log entries originating from this file.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#ad337e4dacdf4b09d3999decb25a7a92f">More...</a><br /></td></tr>
<tr class="separator:ad337e4dacdf4b09d3999decb25a7a92f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a561d5a963078a58a9eb94a68dbcedd0f"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a561d5a963078a58a9eb94a68dbcedd0f">alexaClientSDK::capabilityAgents::notifications::popNotificationIndicatorLocked</a> (SQLiteDatabase *database)</td></tr>
<tr class="separator:a561d5a963078a58a9eb94a68dbcedd0f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a61a68b833b971861506179cec9cfcd2a"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a61a68b833b971861506179cec9cfcd2a">alexaClientSDK::capabilityAgents::notifications::NOTIFICATIONS_CONFIGURATION_ROOT_KEY</a> = &quot;notifications&quot;</td></tr>
<tr class="memdesc:a61a68b833b971861506179cec9cfcd2a"><td class="mdescLeft">&#160;</td><td class="mdescRight">The key in our config file to find the root of settings.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a61a68b833b971861506179cec9cfcd2a">More...</a><br /></td></tr>
<tr class="separator:a61a68b833b971861506179cec9cfcd2a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac0f664fa963827eb4b438d156e2c9c06"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#ac0f664fa963827eb4b438d156e2c9c06">alexaClientSDK::capabilityAgents::notifications::NOTIFICATIONS_DB_FILE_PATH_KEY</a> = &quot;databaseFilePath&quot;</td></tr>
<tr class="memdesc:ac0f664fa963827eb4b438d156e2c9c06"><td class="mdescLeft">&#160;</td><td class="mdescRight">The key in our config file to find the database file path.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#ac0f664fa963827eb4b438d156e2c9c06">More...</a><br /></td></tr>
<tr class="separator:ac0f664fa963827eb4b438d156e2c9c06"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9876876bd0c30eb48c422df08a9cf1c2"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a9876876bd0c30eb48c422df08a9cf1c2">alexaClientSDK::capabilityAgents::notifications::NOTIFICATION_INDICATOR_TABLE_NAME</a> = &quot;notificationIndicators&quot;</td></tr>
<tr class="separator:a9876876bd0c30eb48c422df08a9cf1c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2fa8ada39243a049d78a9a39d46d4618"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a2fa8ada39243a049d78a9a39d46d4618">alexaClientSDK::capabilityAgents::notifications::DATABASE_COLUMN_PERSIST_VISUAL_INDICATOR_NAME</a> = &quot;persistVisualIndicator&quot;</td></tr>
<tr class="separator:a2fa8ada39243a049d78a9a39d46d4618"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abc6117b2559da464ed7f8cca984ef723"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#abc6117b2559da464ed7f8cca984ef723">alexaClientSDK::capabilityAgents::notifications::DATABASE_COLUMN_PLAY_AUDIO_INDICATOR_NAME</a> = &quot;playAudioIndicator&quot;</td></tr>
<tr class="separator:abc6117b2559da464ed7f8cca984ef723"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ade212ed907bc22e26a759f3dce8b099d"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#ade212ed907bc22e26a759f3dce8b099d">alexaClientSDK::capabilityAgents::notifications::DATABASE_COLUMN_ASSET_ID_NAME</a> = &quot;assetId&quot;</td></tr>
<tr class="separator:ade212ed907bc22e26a759f3dce8b099d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1e5822b0a4dc46aae638572560716289"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a1e5822b0a4dc46aae638572560716289">alexaClientSDK::capabilityAgents::notifications::DATABASE_COLUMN_ASSET_URL_NAME</a> = &quot;assetUrl&quot;</td></tr>
<tr class="separator:a1e5822b0a4dc46aae638572560716289"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa9ad77261f814e7abfdd288af699878f"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#aa9ad77261f814e7abfdd288af699878f">alexaClientSDK::capabilityAgents::notifications::CREATE_NOTIFICATION_INDICATOR_TABLE_SQL_STRING</a></td></tr>
<tr class="separator:aa9ad77261f814e7abfdd288af699878f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e754560cb10cb84f09d0976d9957178"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a6e754560cb10cb84f09d0976d9957178">alexaClientSDK::capabilityAgents::notifications::INDICATOR_STATE_NAME</a> = &quot;indicatorState&quot;</td></tr>
<tr class="memdesc:a6e754560cb10cb84f09d0976d9957178"><td class="mdescLeft">&#160;</td><td class="mdescRight">The name of the table and the field that will hold the state of the indicator.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a6e754560cb10cb84f09d0976d9957178">More...</a><br /></td></tr>
<tr class="separator:a6e754560cb10cb84f09d0976d9957178"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a01d27c3af75410431c818cda7f45a3f8"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a01d27c3af75410431c818cda7f45a3f8">alexaClientSDK::capabilityAgents::notifications::CREATE_INDICATOR_STATE_TABLE_SQL_STRING</a></td></tr>
<tr class="separator:a01d27c3af75410431c818cda7f45a3f8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab122987b6d831ebd8efc5fc42ecfe827"><td class="memItemLeft" align="right" valign="top">static const NotificationsStorageInterface::IndicatorState&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#ab122987b6d831ebd8efc5fc42ecfe827">alexaClientSDK::capabilityAgents::notifications::DEFAULT_INDICATOR_STATE</a></td></tr>
<tr class="separator:ab122987b6d831ebd8efc5fc42ecfe827"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="ad8bc9ca8e55a0ebf538e46e28bf26262"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad8bc9ca8e55a0ebf538e46e28bf26262">&#9670;&nbsp;</a></span>LX</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define LX</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">event</td><td>)</td>
          <td>&#160;&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">alexaClientSDK::avsCommon::utils::logger::LogEntry</a>(<a class="el" href="_u_i_manager_8cpp.html#ada5473a95becdcf63a8f83e7f05fefe7">TAG</a>, event)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Create a LogEntry using this file's TAG and the specified event string.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">The</td><td>event string for this <code>LogEntry</code>. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
